//video

let videoBut = document.querySelector('.video__play');
let video = document.querySelector('video');
const orderForm = document.getElementById("order");
let orderTimeout;
let videoNotification = document.getElementById('videoNotification');
let continueWatching = document.getElementById('continueWatching');
let startFromBeginning = document.getElementById('startFromBeginning');
let firstPlay = true;
let userInteracted = false;

function showOrderForm() {
    orderForm.style.display = "block";
}
// Устанавливаем таймер для показа формы заказа через 120 секунд
orderTimeout = setTimeout(showOrderForm, 0);

// Проверяем LocalStorage
if (localStorage.getItem('videoStarted') === 'true') {
	videoNotification.style.display = 'flex';
	videoBut.classList.add('play');
	firstPlay = false;
	// videoBut.style.display = 'none';
}
let savedTime = parseFloat(localStorage.getItem('videoCurrentTime') || 0);
if (savedTime > 0) {
	videoNotification.style.display = 'flex';
	videoBut.classList.add('play');
	firstPlay = false;
}

// Обработчики для кнопок уведомления
continueWatching.addEventListener('click', function () {
	videoNotification.style.display = 'none';
	video.play();
	video.muted = false;
});

startFromBeginning.addEventListener('click', function () {
	videoNotification.style.display = 'none';
	// video.currentTime = 0;
	video.play();
	video.muted = false;
});

// Функция для сохранения текущего времени в LocalStorage
function saveCurrentTime() {
	if (userInteracted) {
		localStorage.setItem('videoCurrentTime', video.currentTime);
		video.setAttribute('data-current-time', video.currentTime);
	}
}

video.addEventListener('timeupdate', saveCurrentTime);

// Обработчики для кнопок продолжения и начала заново
continueWatching.addEventListener('click', function () {
	if (savedTime) {
		video.currentTime = savedTime;
	}
	video.play();
	video.muted = false;
	videoNotification.style.display = 'none';
});

startFromBeginning.addEventListener('click', function () {
	video.currentTime = 0;
	video.play();
	video.muted = false;
	videoNotification.style.display = 'none';
});

// Обработчик для кнопки воспроизведения
videoBut.addEventListener('click', function () {
	if (firstPlay) {
		video.play();
		video.muted = false;
		videoBut.classList.add('play');
		video.currentTime = 0;
		firstPlay = false;
		localStorage.setItem('videoStarted', 'true');
	} else {
		if (video.paused) {
			video.play();
			videoBut.classList.remove('pause');
			videoBut.classList.add('play');
		} else {
			video.pause();
			videoBut.classList.add('pause');
			videoBut.classList.remove('play');
		}
	}
	userInteracted = true;
});

// Устанавливаем начальное время для автопроигрывания
if (savedTime && !videoNotification.style.display) {
	video.currentTime = savedTime;
}

$('.scroll, .prod-n').click(function () {
	event.preventDefault();
	$('html, body').animate(
		{
			scrollTop: $('.form').offset().top,
		},
		700
	);
});

const progressBar = document.querySelector('.progress-bar');
let fastProgress = true;

video.ontimeupdate = () => {
	const duration = video.duration;
	const currentTime = video.currentTime;
	let progressPercentage = (currentTime / duration) * 100;

	if (fastProgress) {
		progressPercentage *= 30; 
		if (progressPercentage >= 80) {
			fastProgress = false;
		}
	} else {
		progressPercentage = ((currentTime - duration * 0.0333333) / (duration * 0.9666667)) * 20 + 80;
	}

	progressBar.style.width = Math.min(progressPercentage, 100) + '%';
};

document.addEventListener('DOMContentLoaded', function () {
	const priceSections = document.querySelectorAll('.prices');
	const currentTimeTarget = parseFloat(video.getAttribute('data-current-time'));
	const scrollButtonMain = document.querySelector('.button--main');
	const form = document.querySelector('#form');
	const promo = document.querySelector('.promo'); // предполагаем, что кнопка имеет класс "scroll"

	// Проверяем, существует ли запись в localStorage для первого посещения
	if (localStorage.getItem('isStoraged') === null) {
		localStorage.setItem('isStoraged', 'false');
	}

	let firstVisit = localStorage.getItem('isStoraged');

	function showPrices() {
		priceSections.forEach(section => {
			section.style.display = 'block';
			promo.classList.add('bg');
		});
	}

	function hidePrices() {
		priceSections.forEach(section => {
			section.style.display = 'none';
		});
	}

	if (firstVisit === 'false') {
		// Устанавливаем состояние первого посещения
		localStorage.setItem('isStoraged', 'true');

		// Скрываем все блоки prices при первом посещении
		hidePrices();
	}
}
);
// скролл к форме
function toform(id) {
	id.click(function () { 
		setTimeout(() => {
		$('html, body').animate({
			scrollTop: $("#form").offset().top // класс объекта к которому приезжаем
		}, 700); // Скорость прокрутки
	}, 250);
	});
}
toform($(".scroll-ftr"))
function tobtn(id) {
	id.click(function () { 
		setTimeout(() => {
		$('html, body').animate({
			scrollTop: $("#form").offset().top // класс объекта к которому приезжаем
		}, 700); // Скорость прокрутки
	}, 250);
	});
}
document.getElementById('video').addEventListener('ended',myHandler,false);
    function myHandler(e) {
        $('html, body').animate({
			scrollTop: $("#form").offset().top // класс объекта к которому приезжаем
		}, 700);
    }

    document.addEventListener('DOMContentLoaded', function () {
        const timerElement = document.querySelector('.timer');
        let timeRemaining = 10 * 60; // 10 minutes in seconds

        function updateTimer() {
            const minutes = Math.floor(timeRemaining / 60);
            const seconds = timeRemaining % 60;

            // Форматирование времени как MM:SS
            timerElement.textContent = 
                `${minutes.toString().padStart(2, '0')}:${seconds.toString().padStart(2, '0')}`;

            if (timeRemaining > 0) {
                timeRemaining--;
            } else {
                clearInterval(timerInterval);
            }
        }

        const timerInterval = setInterval(updateTimer, 1000);

        // Первый вызов для немедленного обновления отображения
        updateTimer();
    });